org.eclipse.eef.ide.ui.internal.widgets

## Enum EEFTextLifecycleManager.ConflictResolutionMode

- java.lang.Object
- - java.lang.Enum<EEFTextLifecycleManager.ConflictResolutionMode>
  - - org.eclipse.eef.ide.ui.internal.widgets.EEFTextLifecycleManager.ConflictResolutionMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EEFTextLifecycleManager.ConflictResolutionMode>

Enclosing class:
  EEFTextLifecycleManager

    public static enum EEFTextLifecycleManager.ConflictResolutionMode
    extends java.lang.Enum<EEFTextLifecycleManager.ConflictResolutionMode>

The different ways an edition conflict can be resolved. Used by the default implementation of `EEFTextLifecycleManager.resolveEditionConflict(Shell, String, String, String)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASK_USER` Ask the user through a simple dialog which version to keep.
`USE_LOCAL_VERSION` Use the version being edited in the widget, overriding the new version computed from the current model state.
`USE_MODEL_VERSION` Use the version computed from the current model state, replacing the text being edited by the user in the widget.

### Method Summary

All Methods Static Methods Concrete Methods
`static EEFTextLifecycleManager.ConflictResolutionMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EEFTextLifecycleManager.ConflictResolutionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USE_LOCAL_VERSION

    public static final EEFTextLifecycleManager.ConflictResolutionMode USE_LOCAL_VERSION

Use the version being edited in the widget, overriding the new version computed from the current model state.

#### USE_MODEL_VERSION

    public static final EEFTextLifecycleManager.ConflictResolutionMode USE_MODEL_VERSION

Use the version computed from the current model state, replacing the text being edited by the user in the widget.

#### ASK_USER

    public static final EEFTextLifecycleManager.ConflictResolutionMode ASK_USER

Ask the user through a simple dialog which version to keep.

### Method Detail

#### values

    public static EEFTextLifecycleManager.ConflictResolutionMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EEFTextLifecycleManager.ConflictResolutionMode c : EEFTextLifecycleManager.ConflictResolutionMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EEFTextLifecycleManager.ConflictResolutionMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null